;-----------------------------------------------------------------------------
;-      ATMEL Microcontroller Software Support  -   ROUSSET -
;-----------------------------------------------------------------------------
; The software is delivered "AS IS" without warranty or condition of any
; kind, either express, implied or statutory. This includes without
; limitation any warranty or condition with respect to merchantability or
; fitness for any particular purpose, or against the infringements of
; intellectual property rights of others.
;-----------------------------------------------------------------------------
;- File Name            : db01.inc
;- Object               : Development Board DB01 Definition File.
;- Translator           : ARM Software Development Toolkit V2.11a
;-
;- 1.0 22/09/98 JCZ     : Creation
;- 2.0 21/10/98 JCZ     : Clean up.
;-----------------------------------------------------------------------------

;---------------------------------------
;- AT91DB01 External Memories Definition
;---------------------------------------

;- SSRAM emulating Internal ROM : 256K*32
SSRAM_BASE      EQU     INT_ROM_BASE
SSRAM_SIZE      EQU     (256*1024*4)
SSRAM_LIMIT     EQU     (SSRAM_BASE + SSRAM_SIZE)

;- External Boot ROM Memory : AT27LV256A 32k*8
BOOT_ROM_BASE   EQU     0x01000000
BOOT_ROM_SIZE   EQU     (32*1024)
BOOT_ROM_LIMIT  EQU     (BOOT_ROM_BASE + BOOT_ROM_SIZE)

;- Flash Memory : 2 * AT29C020 128k*8
FLASH_BASE      EQU     0x02000000
FLASH_SIZE      EQU     (2*128*1024)
FLASH_LIMIT     EQU     (FLASH_BASE + FLASH_SIZE)

;--------------------------------
;- AT91DB0x Interfaces Definition
;--------------------------------

;- Green Leds
LED1            EQU     P4
LED2            EQU     P1

;- SW1 Push Button
IRQ_SW1         EQU     IRQ0
PIN_SW1         EQU     P9

            END
