;-----------------------------------------------------------------------------
;-      ATMEL Microcontroller Software Support  -   ROUSSET -
;-----------------------------------------------------------------------------
; The software is delivered "AS IS" without warranty or condition of any
; kind, either express, implied or statutory. This includes without
; limitation any warranty or condition with respect to merchantability or
; fitness for any particular purpose, or against the infringements of
; intellectual property rights of others.
;-----------------------------------------------------------------------------
;- File Name            : eb01.inc
;- Object               : Evaluation Board EB01 Definition File.
;- Translator           : ARM Software Development Toolkit V2.11a
;-
;- 1.0 22/09/98 JCZ     : Creation
;- 2.0 21/10/98 JCZ     : Clean up.
;-----------------------------------------------------------------------------

;---------------------------------------
;- AT91EB01 External Memories Definition
;---------------------------------------
;- Flash Memory : AT29LV1024 64k*16
FLASH_BASE      EQU     0x01000000

;- SRAM : size is depending on the devices fitted on the board
SRAM_BASE       EQU     0x02000000

;--------------------------------
;- AT91EB01 Interfaces Definition
;--------------------------------
;- Red Led
LED1            EQU     P1
;- Amber Led
LED2            EQU     P4
;- Green Led
LED3            EQU     P2

;- SW3 Push Button
IRQ_SW3         EQU     FIQ
PIN_SW3         EQU     P12

;- SW4 Push Button
PIN_SW4         EQU     P5

;- SW5 Push Button
IRQ_SW5         EQU     IRQ0
PIN_SW5         EQU     P9

            END
