;-----------------------------------------------------------------------------
;-      ATMEL Microcontroller Software Support  -   ROUSSET -
;-----------------------------------------------------------------------------
; The software is delivered "AS IS" without warranty or condition of any
; kind, either express, implied or statutory. This includes without
; limitation any warranty or condition with respect to merchantability or
; fitness for any particular purpose, or against the infringements of
; intellectual property rights of others.
;-----------------------------------------------------------------------------
;- File Name            : ebi.inc
;- Object               : External Bus Interface Definition File.
;- Translator           : ARM Software Development Toolkit V2.11a
;-
;- 1.0 10/03/98 JCZ     : Creation
;- 2.0 21/10/98 JCZ     : Clean up.
;-----------------------------------------------------------------------------

;----------------------------------
;- External Bus Interface Structure
;----------------------------------
                ^       0
EBI_CSR         #       4*8     ; Chip Select Register
EBI_RCR         #       4       ; Remap Command Register
EBI_MCR         #       4       ; Memory Control Register

;----------------------
;- Chip Select Register
;----------------------
;- Data Bus Width
DBW             EQU     0x03

;- Number of Wait States
NWS             EQU     0x1C

;- Wait State Enable
WSE             EQU     0x20

;- Page size
PAGES           EQU     0x180

;- Number of Data Float Output Time Clock Cycle
TDF             EQU     0xE00

;- Byte Access Type
BAT             EQU     0x1000

;- Chip Select Enable
CSE             EQU     0x2000

;- Base Address
BA              EQU     0xFFF00000

;-------------------------
;- Memory Control Register
;-------------------------
;- Address Line Enable
ALE             EQU     0x07

;- Data Read Protocol
DRP             EQU     0x10

;-----------------------
;-Remap Control Register
;-----------------------
RCB             EQU     0x01

;--------------------------------
;- Device Dependancies Definition
;--------------------------------

    IF  :DEF:AT91M40400
EBI_BASE        EQU     0xFFE00000
    ENDIF

                END
