;-----------------------------------------------------------------------------
;-      ATMEL Microcontroller Software Support  -   ROUSSET -
;-----------------------------------------------------------------------------
; The software is delivered "AS IS" without warranty or condition of any
; kind, either express, implied or statutory. This includes without
; limitation any warranty or condition with respect to merchantability or
; fitness for any particular purpose, or against the infringements of
; intellectual property rights of others.
;-----------------------------------------------------------------------------
;- File Name            : sf.inc
;- Object               : Special Function Definition File.
;- Translator           : ARM Software Development Toolkit V2.11a
;-
;- 1.0 10/03/98 JCZ     : Creation
;- 2.0 21/10/98 JCZ     : Clean up.
;-----------------------------------------------------------------------------

;-------------------------------------
; Chip Identification Module Structure
;-------------------------------------
                ^       0
SF_CIDR         #       4       ; Chip ID Register
SF_EXID         #       4       ; Chip ID Extension Register
SF_RSF          #       4       ; Reset Status Register

;-----------------------------------------------
;- Chip Identification Register Bits Definition
;-----------------------------------------------

;- Version Number
VERSION         EQU     (0x1F:SHL:0)

;- Non Volatile Program Memory Size
NVPSIZ          EQU     (0x0F:SHL:8)

;- Non Volatile Data Memory Size
NVDSIZ          EQU     (0x0F:SHL:12)

;- Volatile Data Memory Size
VDSIZ           EQU     (0x0F:SHL:16)

;- Architecture Code
ARCH            EQU     (0xFF:SHL:20)

;- Non Volatile Program Memory Type
NVPTYP          EQU     (0x07:SHL:28)

;- Extension Flag
EXT             EQU     (0x01:SHL:31)

;------------------------------
;- Reset Status Flag Definition
;------------------------------

EXT_RESET   EQU 0x6C
WD_RESET        EQU     0x53


;--------------------------------
;- Device Dependancies Definition
;--------------------------------

    IF  :DEF:AT91M40400
SF_BASE         EQU     0xFFF00000
    ENDIF

        END
