;-----------------------------------------------------------------------------
;-      ATMEL Microcontroller Software Support  -   ROUSSET -
;-----------------------------------------------------------------------------
; The software is delivered "AS IS" without warranty or condition of any
; kind, either express, implied or statutory. This includes without
; limitation any warranty or condition with respect to merchantability or
; fitness for any particular purpose, or against the infringements of
; intellectual property rights of others.
;-----------------------------------------------------------------------------
;- File Name            : wd.inc
;- Object               : Watch Dog Definition File.
;- Translator           : ARM Software Development Toolkit V2.11a
;-
;- 1.0 10/03/98 JCZ     : Creation
;- 2.0 21/10/98 JCZ     : Clean up.
;-----------------------------------------------------------------------------

;--------------------
; Watch Dog Structure
;--------------------
                ^       0
WD_OMR          #       4       ; Overflow Mode Register
WD_CMR          #       4       ; Counter Mode Register
WD_CR           #       4       ; Control Register
WD_SR           #       4       ; Status Register

;---------------------------------------------------
;- Watch Dog Overflow Mode Register Bits Definition
;---------------------------------------------------

;- Watch Dog Enable
WDEN            EQU     0x01

;- Internal Reset Enable
RSTEN           EQU     0x02

;- Interrupt Enable
IRQEN           EQU     0x04

;- External Signal Enable
EXTEN           EQU     0x08

;- Overflow Mode Register Access Key
OKEY            EQU     (0x234:SHL:4)

;-------------------------------------------
;- Watch Dog Clock Register Bits Definition
;-------------------------------------------

;- Clock Selection
WDCLKS          EQU     0x03

;- Hicg Preload Counter Value
HPCV            EQU     (0x0F:SHL:2)

;- Clock Register Access Key
CKEY            EQU     (0x06E:SHL:7)

;---------------------------------------------
;- Watch Dog Control Register Bits Definition
;---------------------------------------------

;- Watch Dog Restart Key
RSTKEY          EQU     0xC071

;--------------------------------------------
;- Watch Dog Status Register Bits Definition
;--------------------------------------------

;- WatchDog Overflow Status
WDOVF           EQU     0x1

;--------------------------------
;- Device Dependancies Definition
;--------------------------------

    IF  :DEF:AT91M40400
WD_BASE         EQU     0xFFFF8000
    ENDIF


                END
